Subject: Re: [Bitcoin-development] New paper: Research Perspectives and Challenges for Bitcoin and Cryptocurrencies

From: Pindar Wong <[email-masked]>
Date: Sun, 8 Mar 2015 20:23:56 +0800

*Spendid* work Andrew (and all the other authors). Well done.

This is a timely paper that deserves significantly wider circulation and
comment.

FWIW, Joichi Ito, from the MIT media Lab, made reference to your work
during yesterday's MIT Bitcoin Expo
<https://www.youtube.com/watch?v=lIgjogLipvk>[@ 2:46:54]

p.

On Wed, Mar 4, 2015 at 11:28 PM, Mike Hearn <[email-masked]> wrote:

> Nice, Andrew.
>
> Just one minor point. SPV clients do not need to maintain an ever growing
> list of PoW solutions. BitcoinJ uses a ring buffer with 5000 headers and
> thus has O(1) disk usage. Re-orgs past the event horizon cannot be
> processed but are assumed to be sufficiently rare that manual intervention
> would be acceptable.
>
> On Mon, Mar 2, 2015 at 8:48 AM, Andrew Miller <[email-masked]> wrote:
>
>> We (Joseph Bonneau, myself Arvind Narayanan, Jeremy Clark, Ed Felten,
>> Josh Kroll -- from Stanford, Maryland, Concordia, Princeton) have
>> written a “systemization” paper about Bitcoin-related research. It’s
>> going to appear in the Oakland security conference later this year
>> (IEEE Security and Privacy) but we wanted to announce a draft to this
>> community ahead of time.
>>
>> http://www.jbonneau.com/doc/BMCNKF15-IEEESP-bitcoin.pdf
>>
>> One of the main goals of our work is to build a bridge between the
>> computer science research community and the cryptocurrency community.
>> Many of the most interesting ideas and proposals for Bitcoin come from
>> this mailing list and forums/wikis/irc channels, where many academic
>> researchers simply don’t know to look! In fact, we started out by
>> scraping all the interesting posts/articles we could find and trying
>> to figure out how we could organize them. We hope our paper helps some
>> of the best ideas and research questions from the Bitcoin community
>> bubble up and inspires researchers to build on them.
>>
>> We didn’t limit our scope to Bitcoin, but we also decided not to
>> provide a complete survey of altcoins and other next-generation
>> cryptocurrency designs. Instead, we tried to explain all the
>> dimensions along which these designs differ from Bitcoin.
>>
>> This effort has roughly been in progress over two years, though it
>> stopped and restarted several times along the way.
>>
>> If anyone has comments or suggestions, we still have a week before the
>> final version is due, and regardless we plan to continue updating our
>> online version for the forseeable future.
>>
>>
>> ------------------------------------------------------------------------------
>> Dive into the World of Parallel Programming The Go Parallel Website,
>> sponsored
>> by Intel and developed in partnership with Slashdot Media, is your hub
>> for all
>> things parallel software development, from weekly thought leadership
>> blogs to
>> news, videos, case studies, tutorials and more. Take a look and join the
>> conversation now. http://goparallel.sourceforge.net/
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>
>
>
> ------------------------------------------------------------------------------
> Dive into the World of Parallel Programming The Go Parallel Website,
> sponsored
> by Intel and developed in partnership with Slashdot Media, is your hub for
> all
> things parallel software development, from weekly thought leadership blogs
> to
> news, videos, case studies, tutorials and more. Take a look and join the
> conversation now. http://goparallel.sourceforge.net/
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>